=====
 API
=====

oslo_i18n
=========

.. automodule:: oslo_i18n

.. autoclass:: oslo_i18n.TranslatorFactory
   :members:

.. seealso::

   An example of using a :class:`TranslatorFactory` is provided in
   :ref:`integration-module`.

.. autofunction:: oslo_i18n.enable_lazy

.. seealso::

   :ref:`lazy-translation`

.. autofunction:: oslo_i18n.translate

.. autofunction:: oslo_i18n.get_available_languages

oslo_i18n.log
=============

.. automodule:: oslo_i18n.log
   :members:

oslo_i18n.fixture
=================

.. automodule:: oslo_i18n.fixture
   :members:
   :special-members:
